Автор Тема: Утилита deb-get — подобие apt-get для сторонних пакетов  (Прочитано 242 раз)

Оффлайн alv

  • Ветеран
  • *****
  • Сообщений: 1421
  • Это я и есть
    • Наш Блогосайт
Мартин Вимпрес (Martin Wimpress), сооснователь редакции Ubuntu MATE, входящий в Core Team проекта MATE, опубликовал утилиту deb-get, предлагающую похожие на apt-get функции для работы с deb-пакетами, распространяемыми через сторонние репозитории или доступными для прямой загрузки с сайтов проектов. В deb-get доступны типовые команды управления пакетами, такие как update, upgrade, show, install, remove и search, но сами пакеты загружаются не из репозиториев дистрибутива, а напрямую из репозиториев и сайтов, поддерживаемых производителями программ. Представляет собой bash-скрипт, в котором определены правила загрузки и обновления более 80 популярных программ, распространяемых напрямую или через собственные репозитории.

Потибрено с Опеннет'а
Сообщение автора утилиты
За прекрасных дам!

Оффлайн vita

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 4372
  • Да будет свет!
Сообщение автора утилиты недоступно, зато на гитхабе полноценно представлена утилита и её возможности. Страница загрузки deb пакета, установка и функционирование которого проверена в Matuntu-F и Matuntu-J. При выполнении update и upgrade с помощью утилиты появляется дополнительная информация, например, в системе на пакетной основе Ubuntu 22.04:
вывод в терминале
sudo deb-get update
Сущ:1 http://ppa.launchpad.net/apandada1/foliate/ubuntu jammy InRelease
Сущ:2 http://archive.ubuntu.com/ubuntu jammy InRelease
Сущ:3 https://repo.yandex.ru/yandex-browser/deb beta InRelease
Сущ:4 http://ppa.launchpad.net/astroncia/iptv/ubuntu jammy InRelease
Пол:5 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [109 kB]
Сущ:6 https://ppa.launchpadcontent.net/libreoffice/ppa/ubuntu jammy InRelease
Сущ:7 http://archive.ubuntu.com/ubuntu jammy-backports InRelease
Пол:8 http://archive.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
Пол:9 http://archive.ubuntu.com/ubuntu jammy-proposed InRelease [270 kB]
Пол:10 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 DEP-11 Metadata [19,6 kB]
Пол:11 http://archive.ubuntu.com/ubuntu jammy-updates/restricted i386 Packages [740 B]
Пол:12 http://archive.ubuntu.com/ubuntu jammy-updates/restricted amd64 Packages [50,8 kB]
Пол:13 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 Packages [63,5 kB]
Пол:14 http://archive.ubuntu.com/ubuntu jammy-updates/universe i386 Packages [17,7 kB]
Пол:15 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 DEP-11 Metadata [45,2 kB]
Пол:16 http://archive.ubuntu.com/ubuntu jammy-security/main amd64 DEP-11 Metadata [6 628 B]
Пол:17 http://archive.ubuntu.com/ubuntu jammy-proposed/main i386 Packages [22,9 kB]
Пол:18 http://archive.ubuntu.com/ubuntu jammy-proposed/main amd64 Packages [78,7 kB]
Пол:19 http://archive.ubuntu.com/ubuntu jammy-proposed/main Translation-en [25,6 kB]
Пол:20 http://archive.ubuntu.com/ubuntu jammy-proposed/main amd64 DEP-11 Metadata [41,9 kB]
Пол:21 http://archive.ubuntu.com/ubuntu jammy-proposed/main amd64 c-n-f Metadata [1 564 B]
Пол:22 http://archive.ubuntu.com/ubuntu jammy-proposed/universe amd64 Packages [34,0 kB]
Пол:23 http://archive.ubuntu.com/ubuntu jammy-proposed/universe i386 Packages [19,5 kB]
Пол:24 http://archive.ubuntu.com/ubuntu jammy-proposed/universe Translation-en [19,2 kB]
Пол:25 http://archive.ubuntu.com/ubuntu jammy-proposed/universe amd64 DEP-11 Metadata [64,8 kB]
Пол:26 http://archive.ubuntu.com/ubuntu jammy-proposed/universe amd64 c-n-f Metadata [1 064 B]
Пол:27 http://archive.ubuntu.com/ubuntu jammy-proposed/restricted amd64 Packages [53,1 kB]
Пол:28 http://archive.ubuntu.com/ubuntu jammy-proposed/restricted Translation-en [8 800 B]
Получено 1 065 kB за 3с (337 kB/s)
Чтение списков пакетов…
 
  • Updating /var/cache/deb-get/antimicrox.json
  • Updating /var/cache/deb-get/balena-etcher-electron.json
  • Updating /var/cache/deb-get/bat.json
  • Updating /var/cache/deb-get/bitwarden.json
  • Updating /var/cache/deb-get/codium.json
  • Updating /var/cache/deb-get/deb-get.json
  • Updating /var/cache/deb-get/duf.json
  • Updating /var/cache/deb-get/fd.json
  • Updating /var/cache/deb-get/figma-linux.json

dpkg-query: пакет «firefox-esr» не установлен, информация о нём недоступна
Use dpkg --info (= dpkg-deb --info) to examine archive files.
dpkg-query: пакет «firefox-esr» не установлен, информация о нём недоступна
Use dpkg --info (= dpkg-deb --info) to examine archive files.
 
  • Updating /var/cache/deb-get/franz.json
  • Updating /var/cache/deb-get/git-delta.json
  • Updating /var/cache/deb-get/github-desktop.json
  • Updating /var/cache/deb-get/grype.json
  • Updating /var/cache/deb-get/heroic.json
  • Updating /var/cache/deb-get/insomnia.json
  • Updating /var/cache/deb-get/irccloud-desktop.json
  • Updating /var/cache/deb-get/jabref.json
  • Updating /var/cache/deb-get/lsd.json
  • Updating /var/cache/deb-get/ludo.json
  • Updating /var/cache/deb-get/mailspring.json
  • Updating /var/cache/deb-get/mattermost-desktop.json
  • Updating /var/cache/deb-get/micro.json
  • Updating /var/cache/deb-get/obsidian.json
  • Updating /var/cache/deb-get/onlyoffice-desktopeditors.json
  • Updating /var/cache/deb-get/pandoc.json
  • Updating /var/cache/deb-get/powershell.json
  • Updating /var/cache/deb-get/rambox.json
  • WARNING! Updating /var/cache/deb-get/rambox.json failed. Deleting it.

grep: /var/cache/deb-get/rambox.json: Нет такого файла или каталога
grep: /var/cache/deb-get/rambox.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/rclone.json
  • WARNING! Updating /var/cache/deb-get/rclone.json failed. Deleting it.

grep: /var/cache/deb-get/rclone.json: Нет такого файла или каталога
grep: /var/cache/deb-get/rclone.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/rpi-imager.json
  • WARNING! Updating /var/cache/deb-get/rpi-imager.json failed. Deleting it.

grep: /var/cache/deb-get/rpi-imager.json: Нет такого файла или каталога
grep: /var/cache/deb-get/rpi-imager.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/simplenote.json
  • WARNING! Updating /var/cache/deb-get/simplenote.json failed. Deleting it.

grep: /var/cache/deb-get/simplenote.json: Нет такого файла или каталога
grep: /var/cache/deb-get/simplenote.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/syft.json
  • WARNING! Updating /var/cache/deb-get/syft.json failed. Deleting it.

grep: /var/cache/deb-get/syft.json: Нет такого файла или каталога
grep: /var/cache/deb-get/syft.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/trivy.json
  • WARNING! Updating /var/cache/deb-get/trivy.json failed. Deleting it.

grep: /var/cache/deb-get/trivy.json: Нет такого файла или каталога
grep: /var/cache/deb-get/trivy.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/zenith.json
  • WARNING! Updating /var/cache/deb-get/zenith.json failed. Deleting it.

grep: /var/cache/deb-get/zenith.json: Нет такого файла или каталога
grep: /var/cache/deb-get/zenith.json: Нет такого файла или каталога

sudo deb-get upgrade
Чтение списков пакетов…
Построение дерева зависимостей…
Чтение информации о состоянии…
Расчёт обновлений…
Следующие пакеты будут обновлены:
  libssl3 openssl
Обновлено 2 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 3 083 kB архивов.
После данной операции объём занятого дискового пространства возрастёт на 0 B.
Пол:1 http://archive.ubuntu.com/ubuntu jammy-proposed/main amd64 libssl3 amd64 3.0.2-0ubuntu1.2 [1 900 kB]
Пол:2 http://archive.ubuntu.com/ubuntu jammy-proposed/main amd64 openssl amd64 3.0.2-0ubuntu1.2 [1 183 kB]
Получено 3 083 kB за 2с (1 369 kB/s)
Предварительная настройка пакетов …
(Чтение базы данных … на данный момент установлено 291657 файлов и каталогов.)
Подготовка к распаковке …/libssl3_3.0.2-0ubuntu1.2_amd64.deb …
Распаковывается libssl3:amd64 (3.0.2-0ubuntu1.2) на замену (3.0.2-0ubuntu1.1) …
Настраивается пакет libssl3:amd64 (3.0.2-0ubuntu1.2) …
(Чтение базы данных … на данный момент установлено 291657 файлов и каталогов.)
Подготовка к распаковке …/openssl_3.0.2-0ubuntu1.2_amd64.deb …
Распаковывается openssl (3.0.2-0ubuntu1.2) на замену (3.0.2-0ubuntu1.1) …
Настраивается пакет openssl (3.0.2-0ubuntu1.2) …
Обрабатываются триггеры для man-db (2.10.2-1) …
Обрабатываются триггеры для libc-bin (2.35-0ubuntu3) …
 
  • Updating /var/cache/deb-get/antimicrox.json
  • Updating /var/cache/deb-get/balena-etcher-electron.json
  • Updating /var/cache/deb-get/bat.json
  • WARNING! Updating /var/cache/deb-get/bat.json failed. Deleting it.

grep: /var/cache/deb-get/bat.json: Нет такого файла или каталога
grep: /var/cache/deb-get/bat.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/bitwarden.json
  • Updating /var/cache/deb-get/codium.json
  • Updating /var/cache/deb-get/deb-get.json
  • deb-get_0.2.4-1_all.deb is up to date.
  • Updating /var/cache/deb-get/duf.json
  • WARNING! Updating /var/cache/deb-get/duf.json failed. Deleting it.

grep: /var/cache/deb-get/duf.json: Нет такого файла или каталога
grep: /var/cache/deb-get/duf.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/fd.json
  • WARNING! Updating /var/cache/deb-get/fd.json failed. Deleting it.

grep: /var/cache/deb-get/fd.json: Нет такого файла или каталога
grep: /var/cache/deb-get/fd.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/figma-linux.json

dpkg-query: пакет «firefox-esr» не установлен, информация о нём недоступна
Use dpkg --info (= dpkg-deb --info) to examine archive files.
dpkg-query: пакет «firefox-esr» не установлен, информация о нём недоступна
Use dpkg --info (= dpkg-deb --info) to examine archive files.
 
  • Updating /var/cache/deb-get/franz.json
  • Updating /var/cache/deb-get/git-delta.json
  • WARNING! Updating /var/cache/deb-get/git-delta.json failed. Deleting it.

grep: /var/cache/deb-get/git-delta.json: Нет такого файла или каталога
grep: /var/cache/deb-get/git-delta.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/github-desktop.json
  • WARNING! Updating /var/cache/deb-get/github-desktop.json failed. Deleting it.

grep: /var/cache/deb-get/github-desktop.json: Нет такого файла или каталога
grep: /var/cache/deb-get/github-desktop.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/grype.json
  • Updating /var/cache/deb-get/heroic.json
  • Updating /var/cache/deb-get/insomnia.json
  • Updating /var/cache/deb-get/irccloud-desktop.json
  • Updating /var/cache/deb-get/jabref.json
  • WARNING! Updating /var/cache/deb-get/jabref.json failed. Deleting it.

grep: /var/cache/deb-get/jabref.json: Нет такого файла или каталога
grep: /var/cache/deb-get/jabref.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/lsd.json
  • WARNING! Updating /var/cache/deb-get/lsd.json failed. Deleting it.

grep: /var/cache/deb-get/lsd.json: Нет такого файла или каталога
grep: /var/cache/deb-get/lsd.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/ludo.json
  • Updating /var/cache/deb-get/mailspring.json
  • Updating /var/cache/deb-get/mattermost-desktop.json
  • Updating /var/cache/deb-get/micro.json
  • Updating /var/cache/deb-get/obsidian.json
  • Updating /var/cache/deb-get/onlyoffice-desktopeditors.json
  • Updating /var/cache/deb-get/pandoc.json
  • Updating /var/cache/deb-get/powershell.json
  • Updating /var/cache/deb-get/rambox.json
  • WARNING! Updating /var/cache/deb-get/rambox.json failed. Deleting it.

grep: /var/cache/deb-get/rambox.json: Нет такого файла или каталога
grep: /var/cache/deb-get/rambox.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/rclone.json
  • WARNING! Updating /var/cache/deb-get/rclone.json failed. Deleting it.

grep: /var/cache/deb-get/rclone.json: Нет такого файла или каталога
grep: /var/cache/deb-get/rclone.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/rpi-imager.json
  • WARNING! Updating /var/cache/deb-get/rpi-imager.json failed. Deleting it.

grep: /var/cache/deb-get/rpi-imager.json: Нет такого файла или каталога
grep: /var/cache/deb-get/rpi-imager.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/simplenote.json
  • WARNING! Updating /var/cache/deb-get/simplenote.json failed. Deleting it.

grep: /var/cache/deb-get/simplenote.json: Нет такого файла или каталога
grep: /var/cache/deb-get/simplenote.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/syft.json
  • WARNING! Updating /var/cache/deb-get/syft.json failed. Deleting it.

grep: /var/cache/deb-get/syft.json: Нет такого файла или каталога
grep: /var/cache/deb-get/syft.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/trivy.json
  • WARNING! Updating /var/cache/deb-get/trivy.json failed. Deleting it.

grep: /var/cache/deb-get/trivy.json: Нет такого файла или каталога
grep: /var/cache/deb-get/trivy.json: Нет такого файла или каталога
 
  • Updating /var/cache/deb-get/zenith.json
  • WARNING! Updating /var/cache/deb-get/zenith.json failed. Deleting it.

grep: /var/cache/deb-get/zenith.json: Нет такого файла или каталога
grep: /var/cache/deb-get/zenith.json: Нет такого файла или каталога

Работа с привычными командами Apt гораздо проще (вывод компактнее). Пока не заметила пользу от применения этой утилиты.
Делай с нами, делай как мы, делай лучше нас!

Оффлайн alv

  • Ветеран
  • *****
  • Сообщений: 1421
  • Это я и есть
    • Наш Блогосайт
Работа с привычными командами Apt гораздо проще (вывод компактнее). Пока не заметила пользу от применения этой утилиты.
Как пишет этот парень в сообщении, которое у Вас не открылось, утилита предназначена для установки пакетов, которых нет в репозитории данного дистрибутива, а есть только на сайтах разработчиков etc. И проводит аналогию с MX Installer'ом.
Не очень точную, потому как тот универсален и к тому же имеет графическую морду.
Не знаю, кому как, а мне таких паетов нужно... пальцев сосчитать хватит даже тогда, когда левая рука совсем отказывает :)
Так что тоже не оценил. Но мб кому понадобится.
За прекрасных дам!

Оффлайн vita

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 4372
  • Да будет свет!
Сообщение автора открылось только при включённом VPN. В Ubuntu 21.04 пакет утилиты установился, но команды не выполняются по причине прекращения поддержки данного дистрибутива.
Цитата: Мартин Вимпрес
deb-get пытается исправить это, предоставляя кураторский указатель программного обеспечения, доступного для Ubuntu, который публикуется проектом или поставщиком. deb-get вдохновлен Software Boutique, графическим приложением, которое я создал в соавторстве, которое делает то же самое и включено в Ubuntu MATE с 2015 года.

Проверила в Matuntu-I функционал deb-get по установке и удалению пакетов из списка, представленного на гитхабе (список возможно будет расширяться). Выполнение команды не требует подтверждения или отклонения, как это происходит при использовании Apt. Выбранные пакеты установились. Удаляются тоже без проблем.
Во всяком случае, действия утилиты "прозрачны" в отличии от графического магазина приложений Software Boutique.
Делай с нами, делай как мы, делай лучше нас!

Оффлайн ivm

  • Ветеран
  • *****
  • Сообщений: 2809
  • Что бы ни случилось, всё будет хорошо!
В списке пакетов заметил заинтересовавший когда-то меня Ocenaudio — редактор аудио-файлов, установленный у меня в Matuntu-F около года назад пакетом с сайта проекта.
Утилита при выполнении команды sudo deb-get install ocenaudio нашла и установила более новую версию пакета. Что не мудрено, т.к. у утилиты заявлена поддержка этого ПО. Но список поддерживаемого ПО невелик, можно даже сказать, что мал.

Оффлайн vita

  • Глобальный модератор
  • Ветеран
  • *****
  • Сообщений: 4372
  • Да будет свет!
В тестовой Matuntu-K (Ubuntu 22.10) пакет утилиты установился, но при попытке выполнения команды с её участием получено сообщение:
Цитата: вывод
ERROR! Ubuntu Kinetic is not supported because it is not derived from a supported Ubuntu release.
В переводе:
ОШИБКА! Ubuntu Kinetic не поддерживается, поскольку он не является производным от поддерживаемого выпуска Ubuntu.

Получается, что в снятых с поддержки и ещё не выпущенных дистрибутивах сабж не функционирует  :(
Делай с нами, делай как мы, делай лучше нас!